backend:
  name: gitea
  repo: bennolor/hugoblog # Path to your Gitea repository
  app_id: 10f0fe83-402c-4beb-b732-386fc394b4b5 # The Client ID provided by Gitea
  api_root: https://gitea.benno-lorenz.com/api/v1 # API URL of your Gitea instance
  base_url: https://gitea.benno-lorenz.com # Root URL of your Gitea instance
  auth_endpoint: https://gitea.benno-lorenz.com/login/oauth/authorize
media_folder: "static/images/uploads" # Media files will be stored here
public_folder: "/images/uploads" # The src attribute for uploaded media
display_url: https://benno-lorenz.com

collections:
  - name: "blogposts" # Used in routes, e.g., /admin/collections/blog
    label: "Blog Posts" # Used in the UI
    folder: "content/posts" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    path: "{{year}}-{{month}}-{{day}}-{{title}}/index"
    media_folder: ""
    public_folder: ""
    slug: "index" # Filename template
    editor:
      preview: false
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Summary", name: "summary", widget: "string", required: false }
      - {
          label: "Description",
          name: "description",
          widget: "string",
          required: false,
        }
      - { label: "Include Table of Contents", name: "showTableOfContents", widget: "boolean", default: false}
      - { label: "Series", name: "series", widget: "list", allow_add: true, required: false}
      - { label: "Series Order", name: "series_order", widget: "number", value_type: "int", required: false}
      - { label: "Date", name: "date", widget: "datetime" }
      - { label: "Draft", name: "draft", widget: "boolean", default: true }
      - {
          label: "Cover Style",
          name: "heroStyle",
          widget: "select",
          options: ["basic", "big", "background", "thumbAndBackground"],
          default: "default",
        }
      - {
          label: "Cover Image",
          name: "image",
          widget: "image",
          required: false,
        }
      - label: "images"
        name: "images"
        widget: "image"
        required: false
        media_folder: "."
        choose_url: false
        media_library:
          config:
            multiple: true
      - label: "GPX Files"
        name: "gpxFiles"
        widget: "file"
        required: false
        choose_url: true
        media_library:
          media_folder: "/static/uploads/gpx"
          public_folder: "/images/uploads"
          config:
            multiple: true
      - { label: "Body", name: "body", widget: "markdown" }
  ########################
  # POSTS COLLECTION
  ########################
#  - name: "posts"
#    label: "Posts"
#    folder: "content/posts"
#    path: "{{year}}-{{month}}-{{day}}-{{title}}/index"
#    media_folder: ""
#    public_folder: ""
#    create: true
#    slug: "index"
#    # Nested can be used for deeper than 2 layers of folders
#    # nested:
#    #   depth: 100 # max depth to show in the collection tree
#    # summary: '{{title}}' # optional summary for a tree node, defaults to the inferred title field
#    editor:
#      preview: false
#    fields:
#      # - { label: "Layout", name: "layout", widget: "hidden", default: "post" }
#      - { label: "Title", name: "title", widget: "string" }
#      - { label: "Summary", name: "summary", widget: "string" }
#      # - { label: "Description", name: "description", widget: "string" }
#      - {
#          label: "Authors",
#          name: "authors",
#          widget: "select",
#          multiple: true,
#          options: ["bob", "jane", "peter", "kate"],
#        }
#      - { label: "Date", name: "date", widget: "datetime" }
#      - { label: "Draft", name: "draft", widget: "boolean", default: true }
#      - { label: "Cover Image", name: "image", widget: "image" }
#      - { label: "Body", name: "body", widget: "markdown" }
